Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.jdbc.core.metadata
Class HsqlTableMetaDataProvider

    java.lang.Object
      org.springframework.jdbc.core.metadata.GenericTableMetaDataProvider
          org.springframework.jdbc.core.metadata.HsqlTableMetaDataProvider

All Implemented Interfaces:
  TableMetaDataProvider

    public class HsqlTableMetaDataProvider

extends GenericTableMetaDataProvider

The HSQL specific implementation of the `TableMetaDataProvider`. Suports a feature for retreiving generated keys without the JDBC 3.0 getGeneratedKeys support.

Since:
  2.5
Author:
  Thomas Risberg

Field Summary

Fields inherited from class org.springframework.jdbc.core.metadata.GenericTableMetaDataProvider
`logger`

Constructor Summary
`HsqlTableMetaDataProvider(DatabaseMetaData databaseMetaData)`

Method Summary
`String` | `getSimpleQueryForGetGeneratedKey(String tableName, String keyColumnName)` Get the simple query to retreive a generated key
`boolean` | `isGetGeneratedKeysSimulated()` Does this database support a simple quey to retreive the generated key whe the JDBC 3.0 feature of retreiving generated keys is not supported `DatabaseMetaData.supportsGetGeneratedKeys()`

Methods inherited from class org.springframework.jdbc.core.metadata.GenericTableMetaDataProvider
`catalogNameToUse, getDatabaseVersion, getTableParameterMetaData, initializeWithMetaData, initializeWithTableColumnMetaData, isGeneratedKeysColumnNameArraySupported, isGetGeneratedKeysSupported, isStoresLowerCaseIdentifiers, isStoresUpperCaseIdentifiers, isTableColumnMetaDataUsed, metaDataCatalogNameToUse, metaDataSchemaNameToUse, schemaNameToUse, setGeneratedKeysColumnNameArraySupported, setGetGeneratedKeysSupported, setStoresLowerCaseIdentifiers, setStoresUpperCaseIdentifiers, tableNameToUse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HsqlTableMetaDataProvider

    public HsqlTableMetaDataProvider(DatabaseMetaData databaseMetaData)
                              throws SQLException

Throws:
  `SQLException`

Method Detail

### isGetGeneratedKeysSimulated

    public boolean isGetGeneratedKeysSimulated()

  Description copied from interface: `TableMetaDataProvider`
  Does this database support a simple quey to retreive the generated key whe the JDBC 3.0 feature of retreiving generated keys is not supported `DatabaseMetaData.supportsGetGeneratedKeys()`

  Specified by:
    `isGetGeneratedKeysSimulated` in interface `TableMetaDataProvider`
  Overrides:
    `isGetGeneratedKeysSimulated` in class `GenericTableMetaDataProvider`

### getSimpleQueryForGetGeneratedKey

    public String getSimpleQueryForGetGeneratedKey(String tableName,
                                                   String keyColumnName)

  Description copied from interface: `TableMetaDataProvider`
  Get the simple query to retreive a generated key

  Specified by:
    `getSimpleQueryForGetGeneratedKey` in interface `TableMetaDataProvider`
  Overrides:
    `getSimpleQueryForGetGeneratedKey` in class `GenericTableMetaDataProvider`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Spring Framework.